package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * WsForwardOutSettings generated by hbm2java
 */
@Entity
@Table(name="ws_forward_out_settings"
    ,schema="public"
)
public class WsForwardOutSettings  implements java.io.Serializable {


     private Long id;
     private ClientSecureCommunicationData clientSecureCommunicationData;
     private String destinationWsWsdlUrl;
     private String wsPortName;
     private String wsNamespaceUri;
     private String wsServiceName;
     private String name;
     private String password;
     private Date createdAt;
     private Date modifiedAt;
     private String description;
     private String activeStatus;
     private Set<WsSent> wsSents = new HashSet<WsSent>(0);

    public WsForwardOutSettings() {
    }

    public WsForwardOutSettings(ClientSecureCommunicationData clientSecureCommunicationData, String destinationWsWsdlUrl, String wsPortName, String wsNamespaceUri, String wsServiceName, String name, String password, Date createdAt, Date modifiedAt, String description, String activeStatus, Set<WsSent> wsSents) {
       this.clientSecureCommunicationData = clientSecureCommunicationData;
       this.destinationWsWsdlUrl = destinationWsWsdlUrl;
       this.wsPortName = wsPortName;
       this.wsNamespaceUri = wsNamespaceUri;
       this.wsServiceName = wsServiceName;
       this.name = name;
       this.password = password;
       this.createdAt = createdAt;
       this.modifiedAt = modifiedAt;
       this.description = description;
       this.activeStatus = activeStatus;
       this.wsSents = wsSents;
    }
   
     @SequenceGenerator(name="generator", sequenceName="ws_forward_out_settings_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="client_id")
    public ClientSecureCommunicationData getClientSecureCommunicationData() {
        return this.clientSecureCommunicationData;
    }
    
    public void setClientSecureCommunicationData(ClientSecureCommunicationData clientSecureCommunicationData) {
        this.clientSecureCommunicationData = clientSecureCommunicationData;
    }

    
    @Column(name="destination_ws_wsdl_url")
    public String getDestinationWsWsdlUrl() {
        return this.destinationWsWsdlUrl;
    }
    
    public void setDestinationWsWsdlUrl(String destinationWsWsdlUrl) {
        this.destinationWsWsdlUrl = destinationWsWsdlUrl;
    }

    
    @Column(name="ws_port_name")
    public String getWsPortName() {
        return this.wsPortName;
    }
    
    public void setWsPortName(String wsPortName) {
        this.wsPortName = wsPortName;
    }

    
    @Column(name="ws_namespace_uri")
    public String getWsNamespaceUri() {
        return this.wsNamespaceUri;
    }
    
    public void setWsNamespaceUri(String wsNamespaceUri) {
        this.wsNamespaceUri = wsNamespaceUri;
    }

    
    @Column(name="ws_service_name")
    public String getWsServiceName() {
        return this.wsServiceName;
    }
    
    public void setWsServiceName(String wsServiceName) {
        this.wsServiceName = wsServiceName;
    }

    
    @Column(name="name")
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="password")
    public String getPassword() {
        return this.password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="modified_at", length=29)
    public Date getModifiedAt() {
        return this.modifiedAt;
    }
    
    public void setModifiedAt(Date modifiedAt) {
        this.modifiedAt = modifiedAt;
    }

    
    @Column(name="description")
    public String getDescription() {
        return this.description;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }

    
    @Column(name="active_status")
    public String getActiveStatus() {
        return this.activeStatus;
    }
    
    public void setActiveStatus(String activeStatus) {
        this.activeStatus = activeStatus;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="wsForwardOutSettings")
    public Set<WsSent> getWsSents() {
        return this.wsSents;
    }
    
    public void setWsSents(Set<WsSent> wsSents) {
        this.wsSents = wsSents;
    }




}


